Skip to content

Retrieve a Form Submission

GET
/businesses/{businessId}/form-submissions/{formSubmissionId}
curl --request GET \
--url https://api.upvio.com/v1/businesses/example/form-submissions/example \
--header 'Authorization: Bearer <token>'

Retrieve a Form Submission by ID.

businessId
required

The ID of the Business.

string
formSubmissionId
required

The ID of the Form Submission.

string

A Form Submission.

Media typeapplication/json
object
data
Form Submission

A form submission created by a client when a form is submitted.

object
id

Unique identifier across the platform.

string format: uuid
formId

The unique identifier of the form that created this submission.

string
patientId

The unique identifier of the patient who submitted the form.

string
patientVerified

Whether the patient was authenticated when submitting the form.

boolean
appointmentId

If the form included a booking form then an appointment ID will be associated with the submission.

string
questions
Array<object>
object
id

The unique identifier of the question.

string
type

The type of the question (e.g., text, multiple choice).

string
title

The title of the question.

string
patientKey

The key used to identify the question for the patient.

string
nullable
answers
Array<object>
object
id

The ID that matches the question ID.

string
value

The answer provided by the patient.

string
createdAt

The date and time when the form submission was created.

string format: date-time
startedAt

The date and time when the form submission was started.

string format: date-time
completedAt

The date and time when the form submission was submitted.

string format: date-time

Example

{
"data": {
"formId": "form1",
"patientId": "patient1",
"patientVerified": true,
"appointmentId": "appointment1",
"questions": [
{
"id": "patient-name",
"type": "text",
"patientKey": "patientName"
}
],
"answers": [
{
"id": "patient-name",
"value": "Jane Doe"
}
]
}
}

The form submission ID is malformed.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: BadRequestError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 400,
"type": "BadRequestError",
"title": "Invalid platformId format."
}
}

The API key is missing or invalid, or the Business cannot be accessed with it.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: UnauthorizedError BusinessArchivedError BusinessDisabledError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 403,
"type": "UnauthorizedError",
"title": "Invalid API token"
}
}

The form submission does not exist.

Media typeapplication/json
object
error
object
code
number
type

The specific error that occurred.

string
Allowed values: NotFoundError BusinessNotFoundError
title

Human-readable description of the error.

string

Example

{
"error": {
"code": 404,
"type": "NotFoundError",
"title": "Form Submission not found"
}
}